0

I have a Raspberry Pi 3 and a RPi 2 for testing these two LoRa modules. I'm having a couple issues... SEE BELOW FOR UPDATED ISSUE

  1. RPi screen freezes - Whenever I try to test the modules with example code in this library, the screens freeze on both of the Pis.
  2. RPi Broadcom SoC chip heats up - After the screen freezes, the board gets warmer than it is when the Pi is working fine, which I'm not sure if it's because a large process is going on in the background of if the LoRa is drawing more current after I end the process.
  3. RPi USB ports lose power - Sometimes this happens before the screen freezes, but a lot of times it's after. I also lose access to ssh/vnc at this point, probably because the WiFi/Ethernet modules lose power also.

What I've tried so far to remedy this:

  1. Replacing power supply - Number 3 above made me think the power supply was not enough, so I replaced it with a 5.2v 2.4A power supply and that did nothing. I also tried powering the LoRa modules with an external supply that was not linked to the Pi - that also did nothing.
  2. Replacing Pi - I had an extra Pi 3 on hand and I replaced it with the other Pi 3, to no avail.

I'm thinking the issue may be software related, because when I began testing, my Pi 2 had an older version of Raspbian and I had fewer to no issues.

Occasionally, things run fine on 1 out of the 2 Pis, although the other one still crashes (after the screen freezes, the LoRa continues transmitting for ~10 seconds).

I'm stuck, so any help will be appreciated.

UPDATE: I rolled back my version of Raspbian to 4.9.80 and it started working perfectly - no issues. However, I don't want to be running an old version of Raspbian on my project! Is there anything I can do to fix this?

  • Welcome. A note about nomenclature: There is no such thing as Raspbian 4.9.80. The first version of Raspbian was 7.0 (aka Wheezy), because the numbering follows the Debian distribution from which it is derived. Since then there has been an 8.0 (aka Jessie) and 9.0 (aka Stretch). "4.9.80" looks instead like a Linux kernel version; Linux is the OS kernel used. You might want to explain exactly how you did this rollback of the kernel. – goldilocks Jul 11 '18 at 20:48
  • Thank you @goldilocks . Sorry about that, my Linux kernel version is 4.9.80. I rolled back my Pis by looking back into Hexxeh's rpi-firmware library and used rpi-update to roll back to an older version of the kernel – Joshua Taylor Jul 11 '18 at 20:53
0

You can find which OS you have with lsb_release -irc see About

You have probably run rpi-update

sudo apt-get update; sudo apt-get install --reinstall raspberrypi-bootloader raspberrypi-kernel will put it back to the latest supported kernel/bootcode.

"In normal circumstances there is NEVER a need to run rpi-update as it always gets you to the leading edge firmware and kernel and because that may be a testing version it could leave your RPi unbootable". https://www.raspberrypi.org/forums/viewtopic.php?p=916911#p916911 Even the rpi-update documentation now warns "Even on Raspbian you should only use this with a good reason. This gets you the latest bleeding edge kernel/firmware."

To get the latest Raspbian ALL you need to do is run

sudo apt-get update && sudo apt-get upgrade

or

sudo apt-get update && sudo apt-get -y dist-upgrade

"dist-upgrade will replace deprecated packages, upgrade will just update things that are already installed."

  • Thank you for your quick response. I had run rpi-update and it appears that that was the issue, as the problem is non-existent as of now. Thanks for the detailed description of my problem and clarification on updating my pi – Joshua Taylor Jul 19 '18 at 22:38

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.